<?php
// +-------------------------------------------------+
// | 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: interface_admin_users_pwd_form.class.php,v 1.1.2.2 2026/07/02 12:14:23 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class interface_admin_users_pwd_form extends interface_admin_form {
	
    protected $user_id = 0;
    
    protected function get_submit_action() {
        return $this->get_url_base()."&action=pwd&id=".$this->user_id;
    }

    protected function get_js_script() {
        $js_script = "
        <script type='text/javascript'>
			function test_form(form) {
                return test_pwd(form);
			}
		</script>";
        $js_script .= parent::get_js_script();
        return $js_script;
    }
    
    protected function get_display_actions() {
        $display = "
		".$this->get_display_cancel_action()."
		".$this->get_display_submit_action()."
		".$this->get_display_actions_extension();
        return $display;
    }
    
    public function set_user_id($user_id) {
        $this->user_id = intval($user_id);
        return $this;
    }
}